Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 28 Jul 2007 14:09:03 -0400
From:      "David J. Neu" <djneu@att.net>
To:        Matthew Seaman <m.seaman@infracaninophile.co.uk>
Cc:        "Arend P. van der Veen" <apvanderveen@att.net>, dwinner@dwinner.net, freebsd-questions@freebsd.org
Subject:   Re: emacs22 and portsdb
Message-ID:  <20070728180903.GA33559@bach.davidneu.local>
In-Reply-To: <46AA5D1A.5020207@infracaninophile.co.uk>
References:  <46AA4CBB.4080605@dwinner.net> <46AA5D1A.5020207@infracaninophile.co.uk>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Fri, Jul 27, 2007 at 10:01:14PM +0100, Matthew Seaman wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
> 
> Duane Winner wrote:
> 
> > We've been having a problem with generating the ports Index ever since
> > upgrading to emacs22.
> > 
> > As per /usr/ports/UPDATING, we added EMACS_PORT_NAME=*emacs22* to
> > /etc/make.conf
> 
> Errr --- that should probably read:
> 
>     EMACS_PORT_NAME=emacs22
> 
> You certainly don't need the asterisks there.
> 
> In any case, setting this variable will screw up indexing, because a
> number of e-lisp ports will try and append the EMACS_PORT_NAME to
> their package origin if it is set.  However not all the ports that
> do that also have a slave port 'foo-emacs22' hence the problems with
> building the INDEX.
> 
> The best answer is don't set EMACS_PORT_NAME in /etc/make.conf --
> emacs22 is the default now anyhow.  The INDEX will build just fine,
> and the various e-lisp packages seem to work OK as well, so long as
> you've reinstall all the e-lisp packages once you've upgraded from
> emacs21 to emacs22.
> 
> 	Cheers,
> 
> 	Matthew
> 
> - --
> Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
>                                                   Flat 3
> PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
>                                                   Kent, CT11 9PW
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2.0.4 (FreeBSD)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
> 
> iD8DBQFGql0a8Mjk52CukIwRCJkgAJ0fh9qkl4eWFQRwrrG8DIwAOqUmlACeMT19
> 8AWFPYKQdh8Fvko14TCwyxs=
> =vZLj
> -----END PGP SIGNATURE-----

Thanks!

I've commented out the EMACS_PORT_NAME=emacs22 entry in
/etc/make.conf.

All seems well except on portupgrade -a, I'm getting

** Detected a package name change: apel-emacs22 (editors/apel) -> 'apel-emacs21' (editors/apel)
** No need to upgrade 'apel-emacs22-10.7_1' (>= apel-emacs21-10.7_1). (specify -f to force)
** Detected a package name change: flim-emacs22 (editors/flim) -> 'flim-emacs21' (editors/flim)
** No need to upgrade 'flim-emacs22-1.14.8_1' (>= flim-emacs21-1.14.8_1). (specify -f to force)
** Detected a package name change: mule-ucs-emacs22 (converters/mule-ucs) -> 'mule-ucs-emacs21' (converters/mule-ucs)
** No need to upgrade 'mule-ucs-emacs22-0.85.r3_1' (>= mule-ucs-emacs21-0.85.r3_1). (specify -f to force)
** Detected a package name change: semi-emacs22 (editors/semi) -> 'semi-emacs21' (editors/semi)
** No need to upgrade 'semi-emacs22-1.14.6_2' (>= semi-emacs21-1.14.6_2). (specify -f to force)
** Detected a package name change: emacs-w3m-emacs22 (www/emacs-w3m) -> 'emacs-w3m-emacs21' (www/emacs-w3m)
** No need to upgrade 'emacs-w3m-emacs22-1.4.4_3' (>= emacs-w3m-emacs21-1.4.4_3). (specify -f to force)

Both running 
portupgrade -f apel-emacs22-10.7_1
etc.

and running

portupgrade -fr emacs

failed.

Many thanks for any ideas!

Cheers,
David




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20070728180903.GA33559>